Create Web Mks Ticket
Create a WebMKS ticket.
Create a WebMKS ticket allowing to open a VM console in a browser.
Request
URI
POST
https://{api_host}/cloudapi/v1/webMksTickets
COPY
Request Body
WebMksTicketRequest
of type(s)
application/json
Required
Show optional properties
{
"namespace": {},
"virtualMachineName": "string"
}
{
"namespace": {
"name": "string",
"id": "string"
},
"virtualMachineName": "string"
}
object
namespace
Required
Entity reference used to describe VCD entities
string
virtualMachineName
Required
The name of the virtual machine to request a WebMKS ticket for.
Responses
200
OK
Returns
WebMksTicket
of type(s)
application/json;version=9.1.0
{
"host": "string",
"ticket": "string",
"webConsoleUrl": "string",
"vmrcUrl": "string"
}
Vendor Extension
This operation contains the following vendor extensions defined in the spec:
[{"type":"Modern"}]
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"namespace":"object","virtualMachineName":"string"}' https://{api_host}/cloudapi/v1/webMksTickets